umbrello: UMLSceneFinder Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLSceneFinder Class Reference

`#include <umlscenefinder.h>`

Inheritance diagram for UMLSceneFinder:

## Public Member Functions
| UMLSceneFinder (UMLView *view)
virtual | ~UMLSceneFinder ()
virtual int | collect (Category category, const QString &text)
virtual Result | displayNext ()
virtual Result | displayPrevious ()
Public Member Functions inherited from UMLFinder
| UMLFinder ()
virtual | ~UMLFinder ()

## Protected Member Functions
bool | showItem (Uml::ID::Type id)
Protected Member Functions inherited from UMLFinder
bool | includeObject (Category category, UMLObject *o)

## Protected Attributes
Uml::ID::Type | m_id
| id of scene
Protected Attributes inherited from UMLFinder
int | m_index
QList< Uml::ID::Type > | m_items

## Additional Inherited Members
Public Types inherited from UMLFinder
enum | Category { All , Classes , Packages , Interfaces , Operations , Attributes }
enum | Filter { TreeView , CurrentDiagram , AllDiagrams }
enum | Result { Empty , End , Found , NotFound }

## Detailed Description

UMLListViewFinder provides finding of items in the tree view

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ UMLSceneFinder()

UMLSceneFinder::UMLSceneFinder | ( | UMLView * | view | ) |
| explicit

## ◆ ~UMLSceneFinder()

UMLSceneFinder::~UMLSceneFinder | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ collect()

int UMLSceneFinder::collect | ( | Category | category,
|  | const QString & | text )
| virtual

Collect items limited by a category and a text

Parameters

  category | Category to search for
  text | Text to search for

Returns
  Number of items found

Implements UMLFinder.

## ◆ displayNext()

UMLFinder::Result UMLSceneFinder::displayNext | ( |  | ) |
| virtual

Show next item.

Returns
  Result result of the operation

Implements UMLFinder.

## ◆ displayPrevious()

UMLFinder::Result UMLSceneFinder::displayPrevious | ( |  | ) |
| virtual

Show previous item.

Returns
  Result result of the operation

Implements UMLFinder.

## ◆ showItem()

bool UMLSceneFinder::showItem | ( | Uml::ID::Type | id | ) |
| protected

Show item in diagram.

Parameters

  id | ID of uml object to show

Returns
  false scene or widget not found, true otherwise
  true widget has been shown

## Member Data Documentation

## ◆ m_id

Uml::ID::Type UMLSceneFinder::m_id
| protected

id of scene

The documentation for this class was generated from the following files:

- umbrello/finder/umlscenefinder.h
- umbrello/finder/umlscenefinder.cpp